Skip site navigation (1)Skip section navigation (2)
Date:      Sat, 13 Jun 2015 14:04:26 +0000
From:      opendaddy@hushmail.com
To:        "Joe Shevland" <joe.shevland@hushmail.com>, freebsd-questions@freebsd.org
Subject:   Re: FreeBSD and Docker
Message-ID:  <20150613140426.37B17E04E1@smtp.hushmail.com>
In-Reply-To: <20150613130144.E94E5E076D@smtp.hushmail.com>
References:  <20150610111135.C81EE2319B@smtp.hushmail.com> <20150610131324.E7AD3C04C8@smtp.hushmail.com> <20150613130144.E94E5E076D@smtp.hushmail.com> 

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
Hello again,

Thanks to Edho Arief from the OpenBSD mailinglists it appears I was simply missing the postgresql-contrib package.

Many thanks!

O.D.

On 13. juni 2015 at 1:41 PM, opendaddy@hushmail.com wrote:
>
>Hi!
>
>On 10. juni 2015 at 1:13 PM, "Joe Shevland" 
><joe.shevland@hushmail.com> wrote:
>>
>>Postgres, Redis and Ruby are available though, so I don't think 
>>it'd be impossible to get the RoR side of things working for 
>>Discourse.
>
>True that. I managed to install the bundle but now during 
>migration 
>https://github.com/discourse/discourse/blob/master/db/migrate/20120
>921162512_add_meta_data_to_forum_threads.rb gives me:
>
>== 20120921162512 AddMetaDataToForumThreads: migrating 
>========================
>-- execute("CREATE EXTENSION IF NOT EXISTS hstore")
>rake aborted!
>StandardError: An error has occurred, this and all later 
>migrations canceled:
> 
>PG::InvalidParameterValue: ERROR: version to install must be 
>specified
>: CREATE EXTENSION IF NOT EXISTS 
>hstore/usr/home/www/myapp/vendor/bundle/ruby/2.2.0/gems/activerecor
>d-
>4.1.10/lib/active_record/connection_adapters/postgresql/database_st
>atements.rb:128:in `async_exec'
>/usr/home/www/myapp/vendor/bundle/ruby/2.2.0/gems/activerecord-
>4.1.10/lib/active_record/connection_adapters/postgresql/database_st
>atements.rb:128:in `block in execute' 
>
>Docker or not, it's still odd that the migration should fail like 
>this. I'm using PostgreSQL 9.4.
>
>O.D.
>
>>
>>On 10/6/2015 at 9:50 PM, opendaddy@hushmail.com wrote:
>>>
>>>Hi!
>>>
>>>Attempting to install the Discourse discussion forum 
>>>(https://github.com/discourse/discourse) on my DigitalOcean 
>>>FreeBSD VPS. Discourse requires Docker, however nothing happens 
>>>when I try `wget -qO- https://get.docker.com/ | sh` 
>>>(https://github.com/discourse/discourse/blob/master/docs/INSTALL-
>>>cloud.md).
>>>
>>>What am I doing wrong?
>>>
>>>Thanks!
>>>
>>>O.D.
>>>
>>>_______________________________________________
>>>freebsd-questions@freebsd.org mailing list
>>>http://lists.freebsd.org/mailman/listinfo/freebsd-questions
>>>To unsubscribe, send any mail to "freebsd-questions-
>>>unsubscribe@freebsd.org"
>>
>>_______________________________________________
>>freebsd-questions@freebsd.org mailing list
>>http://lists.freebsd.org/mailman/listinfo/freebsd-questions
>>To unsubscribe, send any mail to "freebsd-questions-
>>unsubscribe@freebsd.org"
>
>_______________________________________________
>freebsd-questions@freebsd.org mailing list
>http://lists.freebsd.org/mailman/listinfo/freebsd-questions
>To unsubscribe, send any mail to "freebsd-questions-
>unsubscribe@freebsd.org"




Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?20150613140426.37B17E04E1>